<div class="row">
    <div class="col-lg-12">


        <!--MAIN DETAILS-->
        <div class="modal-selector">


            <!--title-->
            <div class="form-group row">
                <label
                    class="col-sm-12 col-lg-3 text-left control-label col-form-label"><?php echo app('translator')->get('lang.package_name'); ?></label>
                <div class="col-sm-12 col-lg-9">
                    <input type="text" class="form-control form-control-sm" id="package_name" name="package_name"
                        value="<?php echo e($package->package_name ?? ''); ?>">
                </div>
            </div>

            <!--billing cycles-->
            <?php if(config('visibility.payment_options') && config('visibility.package_type')): ?>
            <div class="form-group row">
                <label
                    class="col-sm-12 col-lg-3 text-left control-label col-form-label"><?php echo app('translator')->get('lang.payment_options'); ?></label>
                <div class="col-sm-12 col-lg-4">
                    <select class="select2-basic form-control form-control-sm select2-preselected"
                        id="package_subscription_options" name="package_subscription_options"
                        data-preselected="<?php echo e($package->package_subscription_options ?? 'paid'); ?>">
                        <option value="paid"><?php echo app('translator')->get('lang.paid'); ?></option>
                        <option value="free"><?php echo app('translator')->get('lang.free_package'); ?></option>
                    </select>
                </div>
            </div>
            <?php endif; ?>

            <!--billing monthly price-->
            <?php if(config('visibility.payment_options')): ?>
            <div
                class="option-billable <?php echo e(saasToggleSubscriptionOption($package->package_subscription_options ?? 'paid')); ?>">
                <div class="form-group row">
                    <label
                        class="col-sm-12 col-lg-3 text-left control-label col-form-label"><?php echo app('translator')->get('lang.monthly_price'); ?></label>
                    <div class="col-sm-12 col-lg-4">
                        <div class="input-group input-group-sm">
                            <span class="input-group-addon"
                                id="package_amount_monthly_addon"><?php echo e(config('system.settings_system_currency_code')); ?></span>
                            <input type="number" class="form-control" name="package_amount_monthly"
                                value="<?php echo e($package->package_amount_monthly ?? ''); ?>"
                                aria-describedby="package_amount_monthly_addon">
                        </div>
                    </div>
                </div>


                <!--billing monthly price-->

                <div class="form-group row">
                    <label
                        class="col-sm-12 col-lg-3 text-left control-label col-form-label"><?php echo app('translator')->get('lang.yearly_price'); ?></label>
                    <div class="col-sm-12 col-lg-4">
                        <div class="input-group input-group-sm">
                            <span class="input-group-addon"
                                id="package_amount_yearly_addon"><?php echo e(config('system.settings_system_currency_code')); ?></span>
                            <input type="number" class="form-control" name="package_amount_yearly"
                                value="<?php echo e($package->package_amount_yearly ?? ''); ?>"
                                aria-describedby="package_amount_yearly_addon">
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>

            <!--featured package-->
            <div class="form-group form-group-checkbox row">
                <label class="col-sm-12 col-lg-3 text-left control-label col-form-label"><?php echo app('translator')->get('lang.featured'); ?></label>
                <div class="col-sm-12 col-lg-4" style="padding-top:5px;">
                    <input type="checkbox" id="package_featured" name="package_featured"
                        <?php echo e(runtimePrechecked($package->package_featured ?? '')); ?> class="filled-in chk-col-light-blue">
                    <label class="p-l-30" for="package_featured"></label>
                </div>
            </div>

            <!--change pricing warning-->
            <?php if(config('visibility.payment_gateways_editing_mode')): ?>
            <?php if($package->package_subscription_options == 'paid'): ?>
            <div class="alert alert-info"><?php echo app('translator')->get('lang.pricing_changes_to_package_info'); ?></div>
            <?php else: ?>
            <div class="alert alert-info"><?php echo app('translator')->get('lang.free_plan_cannot_change_pricing'); ?></div>
            <?php endif; ?>
            <?php endif; ?>
        </div>

        <!--PACKAGE LIMITS-->
        <div class="form-group row">
            <div class="col-12">
                <div class="form-heading">
                    <span><?php echo app('translator')->get('lang.package_limits'); ?></span>
                </div>
            </div>
        </div>

        <!--limit clients-->
        <div class="form-group row">
            <label
                class="col-sm-12 col-lg-3 text-left control-label col-form-label"><?php echo app('translator')->get('lang.maximum_clients'); ?></label>
            <div class="col-sm-12 col-lg-4">
                <input type="number" class="form-control form-control-sm" id="package_limits_clients"
                    name="package_limits_clients" value="<?php echo e($package->package_limits_clients ?? ''); ?>">
            </div>
        </div>

        <!--limits projects-->
        <div class="form-group row">
            <label
                class="col-sm-12 col-lg-3 text-left control-label col-form-label"><?php echo app('translator')->get('lang.maximum_projects'); ?></label>
            <div class="col-sm-12 col-lg-4">
                <input type="number" class="form-control form-control-sm" id="package_limits_projects"
                    name="package_limits_projects" value="<?php echo e($package->package_limits_projects ?? ''); ?>">
            </div>
        </div>

        <!--limits employees-->
        <div class="form-group row">
            <label
                class="col-sm-12 col-lg-3 text-left control-label col-form-label"><?php echo app('translator')->get('lang.maximum_employees'); ?></label>
            <div class="col-sm-12 col-lg-4">
                <input type="number" class="form-control form-control-sm" id="package_limits_team"
                    name="package_limits_team" value="<?php echo e($package->package_limits_team ?? ''); ?>">
            </div>
        </div>
        <div class="alert alert-info"><?php echo app('translator')->get('lang.for_unlimited_use_minus_1'); ?></div>

        <div class="line"></div>

        <!--PACKAGE MODULES-->
        <div class="form-group row">
            <div class="col-12">
                <div class="form-heading">
                    <span><?php echo app('translator')->get('lang.package_modules'); ?></span>
                </div>
            </div>
        </div>


        <!--PACKAGE MODULES-->
        <div class="row">
            <!--tasks-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_tasks" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_tasks ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.tasks'); ?></span>
                </label>
            </div>

            <!--invoices-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_invoices" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_invoices ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.invoices'); ?></span>
                </label>
            </div>


            <!--leads-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_leads" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_leads ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.leads'); ?></span>
                </label>
            </div>

            <!--knowledgebase-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_knowledgebase" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_knowledgebase ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.knowledgebase'); ?></span>
                </label>
            </div>

            <!--estimates-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_estimates" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_estimates ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.estimates'); ?></span>
                </label>
            </div>

            <!--expenses-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_expense" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_expense ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.expenses'); ?></span>
                </label>
            </div>


            <!--package_module_proposals-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_proposals" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_proposals ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.proposals'); ?></span>
                </label>
            </div>


            <!--package_module_contracts-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_contracts" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_contracts ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.contracts'); ?></span>
                </label>
            </div>

            <!--package_module_messages-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_messages" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_messages ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.instant_messaging'); ?></span>
                </label>
            </div>

            <!--subscriptions-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_subscriptions" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_subscriptions ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.subscriptions'); ?></span>
                </label>
            </div>

            <!--tickets-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_tickets" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_tickets ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.tickets'); ?></span>
                </label>
            </div>

            <!--time_tracking-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_timetracking" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_timetracking ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.time_tracking'); ?></span>
                </label>
            </div>

            <!--reminders-->
            <div class="col-sm-12 col-lg-4 m-b-10">
                <label class="custom-control custom-checkbox">
                    <input type="checkbox" name="package_module_reminders" class="custom-control-input"
                        <?php echo e(runtimePrechecked($package->package_module_reminders ?? '')); ?>>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description"><?php echo app('translator')->get('lang.reminders'); ?></span>
                </label>
            </div>
        </div>
    </div>
</div><?php /**PATH /home/duceqbfx/trinetsoft.xyz/application/resources/views/landlord/packages/modal/add-edit-inc.blade.php ENDPATH**/ ?>